Subject: bug#8924: 23.3; Editing is rather difficult using vc with RCS backend

From: Richard Stanton <[email-masked]>
Date: Fri, 24 Jun 2011 13:46:43 -0700

> From: Eli Zaretskii [mailto:[email-masked]]
> Sent: Friday, June 24, 2011 12:15 PM
> To: Richard Stanton
> Cc: [email-masked]
> Subject: Re: bug#8924: 23.3; Editing is rather difficult using vc with RCS
> backend
> 
> > I may well be missing something obvious, but I can't find an RCS port at the
> GnuWin32 site.
> 
> Looks like they removed it.  Perhaps because I reported a few bad bugs with
> their port.  I actually use a fixed port I built myself; I should have mentioned
> that, sorry.

I did a little more testing, and it looks like the problem is indeed a Cygwin vs. non-Cygwin issue. On first checking in the file, I reported that the buffer remains read/write while the file itself is read-only. It turns out there's a little more to it:

I reported it being read-only after running the (Cygwin) ls command:

C:\projects\test\version\rcstest>ls -l test.tex
-r-x------+ 1 stanton None 84 Jun 24 13:40 test.tex

However, DOS doesn't see it as read-only, which explains why Emacs leaves the buffer writable:

C:\projects\test\version\rcstest>attrib test.tex
A            C:\projects\test\version\rcstest\test.tex

If I manually set the file to read only using attrib +R, then reload the file into Emacs,

a. The buffer is now read-only, and I can't edit it until I press C-x v v again to check it out. Now everything works OK.

b. The $Id$ header issue has also gone away.

So it seems to be an inconsistency between the way DOS and Cygwin keep track of file attributes. Now I just need to track down a working non-Cygwin version of RCS...

Thanks for all your help.